Get Document Section
get
/v1/graphs/{graph_id}/search/{document_id}Part of Search.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
graph_idrequired | string | Graph Id |
document_idrequired | string | Document Id |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/graphs/{graph_id}/search/{document_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
document_idrequired | string | |
graph_idrequired | string | |
source_typerequired | string | |
parent_document_idoptional | string | |
partoptional | integer | Default: |
part_countoptional | integer | Default: |
next_document_idoptional | string | |
entity_tickeroptional | string | |
entity_nameoptional | string | |
entity_cikoptional | string | |
section_labeloptional | string | |
section_idoptional | string | |
element_qnameoptional | string | |
filing_dateoptional | string | |
fiscal_yearoptional | integer | |
fiscal_periodoptional | string | |
form_typeoptional | string | |
accession_numberoptional | string | |
xbrl_elementsoptional | string[] | |
contentrequired | string | |
content_urloptional | string | |
content_lengthoptional | integer | Default: |
document_titleoptional | string | |
tagsoptional | string[] | |
folderoptional | string |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |
| 503 | Text search not available |